import store from './store/index.js'
import jwt from '@/api/jwt.js'
export default {
  onLaunch(e) {
    const { appbar, token } = e.query
    if (token) {
      jwt.setAccessToken(token)
    }
    if (appbar == 'hidden') {
      store.commit('showAppbar', false)
      this.hideNavBar()
    } else {
      store.commit('showAppbar', true)
    }
  },
  methods: {
    hideNavBar() {
      /*#ifdef H5*/
      this.$nextTick(() => {
        let head = document.getElementsByTagName('uni-page-head')
        if (head[0]) {
          head[0].style.display = 'none'
        }
        // console.log(head);
      })
      /*#endif*/
    }
  }
}